      pinc = pmax/80.d0
      dpres = 0.d0
      read(5,...) (pv(i), i=1,3)                       
           
      write(6,...) (pv(i), i=1,3) 
      do 10 i = 1,3
            pvld(i) = pv(i)
10    continue

      tpo(81) = pv(1)
      tbo(81) = pv(2)
      tvo(81) = pv(3)
      dp(1) = 1.d0
      notab = 1

      do 20 k = 2, npvt
            read(5,...) (pv(i), i = 1, 3)
            write(6,...) (pv(i), i = 1, 3)
            kinc = (pv(1) - pvld(1))/pinc + 0.5d0
            do 30 kk = 2, 3
                  dp(kk) = (pv(kk) - pvld(kk))/(pv(1) - pvld(1))
30          continue

            kr = 0

            do 40 kk = 1, kinc
                  kr = kr + 1
                  delp = kr*pinc - dpres
                  notab = notab + 1
                  no = 82 - notab
                  tpo(no) = pvld(1) + dp(1)*delp
                  tbo(no) = pvld(2) + dp(2)*delp
                  tvo(no) = pvld(3) + dp(3)*delp
40          continue

            do 50 kk = 1, 3
                  pvld(kk) = pv(kk)
50          continue
            dpres = pv(1) - tpo(no)
20    continue
      if(itab .eq. 1) write(6,...) (tpo(i),tbo(i),tvo(i), i=1,81)


